@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Display:wght@500;700;900&display=swap');

:root {
    --clr-primary-pale-blue: hsl(225, 100%, 94%);
    --clr-primary-bright-blue: hsl(245, 75%, 52%);

    --clr-neutral-blue-100: hsl(225, 100%, 98%);
    --clr-neutral-blue-300: hsl(224, 23%, 55%);
    --clr-neutral-blue-800: hsl(223, 47%, 23%);

    --ff-main: 'Red Hat Display', sans-serif;

}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background: url(../images/pattern-background-desktop.svg), var(--clr-primary-pale-blue);
    background-repeat: no-repeat;
    background-size: contain;
    min-height: 100vh;
    display: grid;
    place-items: center;
    font-family: var(--ff-main);
}

.card {
    background: white;
    border-radius: 20px;
    box-shadow: 0 15px 25px 0 hsla(245, 75%, 52%, .11);
    overflow: hidden;
    max-width: 27.5rem;
    margin-left: 1.5em;
    margin-right: 1.5em;
}

/* CARD IMAGE */

.card__img-holder img {
    display: block;
    max-width: 100%;
    height: auto;
}

/* CARD BODY */

.card__body {
    text-align: center;
}

.title {
    color: var(--clr-neutral-blue-800);
    font-size: 1.4rem;
    font-weight: 900;
    padding: 1.3em 0 .8em 0;
}

.text {
    color: var(--clr-neutral-blue-300);
    line-height: 1.6;
    font-size: .95rem;
    padding: 0 2.1em 1.4em 2.1em;
}

/* PLAN BOX */

.plan-box {
    background: var(--clr-neutral-blue-100);
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 1.5em 1.5em 1.5em;
    padding: 1em;
    border-radius: 10px;
}

.plan-box-left {
    display: flex;
}

.plan-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 1.2em;
    gap: .2em;
    text-align: left;
    font-size: .7rem;
}

.plan-details h3 {
    color: var(--clr-neutral-blue-800);
    font-size: .9rem;
}

.plan-details p {
    color: var(--clr-neutral-blue-300);
    font-size: .8rem;
}

.plan-box-right a {
    color: var(--clr-primary-bright-blue);
    font-weight: 700;
    font-size: .8rem;
    opacity: 1;
    transition: all .2s ease;
}

.plan-box-right a:hover {
    opacity: .8;
}

/* BUTTONS */

.button-holder {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    gap: .65em;
    margin-bottom: 1.5em;
}

.btn {
    all: unset;
    display: block;
    border-radius: 10px;
    cursor: pointer;
    font-size: .95rem;
    font-weight: 700;
    margin-left: 1.5em;
    margin-right: 1.5em;
    padding: 1em;
}

.payment-btn {
    background: var(--clr-primary-bright-blue);
    color: white;
    box-shadow: 0 15px 20px 0 hsla(245, 75%, 52%, .25);
    opacity: 1;
    transition: all .2s ease;
}

.payment-btn:hover {
    opacity: .8;
}

.cancel-btn {
    color: var(--clr-neutral-blue-300);
    transition: color .2s ease;
}

.cancel-btn:hover {
    color: var(--clr-neutral-blue-800);
}

/* MEDIA QUERIES */

/* @media (min-width: 375px) {

    body {
        background: url(../images/pattern-background-mobile.svg), var(--clr-primary-pale-blue);
        background-repeat: no-repeat;
        background-size: contain;
    }

    .title {
        font-size: 1.7rem;
        padding-top: 1.7em;
        padding-bottom: .7em;
    }

    .text {
        font-size: 1.05rem;
        padding-left: 3em;
        padding-right: 3em;
    }

    .plan-box {
        margin: 0 3em 2em 3em;
        padding: 1.5em;
    }

    .plan-details h3 {
        font-size: 1.05rem;
    }

    .plan-details p {
        font-size: 1.05rem;
    }

    .plan-box-right a {
        font-size: .9rem;
    }

    .btn {
        margin-left: 3em;
        margin-right: 3em;
    }

} */